/* Conteneur plein écran */
.app-loading {
  position: fixed;
  inset: 0;
  background: #ffffff;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

/* Loader */
.bf-loader {
  display: flex;
  align-items: center;
  gap: 25px;
}

/* Points */
.dot {
  width: 28px;
  height: 28px;
  border-radius: 50%;
  opacity: 0;
  animation: fade 1.5s infinite;
}

.red {
  background: #ce1126; /* Rouge BF */
  animation-delay: 0s;
}

.green {
  background: #009e49; /* Vert BF */
  animation-delay: 1s;
}

/* Étoile */
.star {
  font-size: 34px;
  color: #fcd116; /* Jaune BF */
  opacity: 0;
  animation: fade 1.5s infinite;
  animation-delay: 0.5s;
}

/* #jhipster-error {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  padding: 20px;
  max-width: 800px;
  margin: 0 auto;
  line-height: 1.6;

  h1,
  h2,
  h3 {
    color: #333;
    margin-top: 1.5em;
  }

  h1 {
    color: #d9534f;
    border-bottom: 2px solid #eee;
    padding-bottom: 10px;
  }

  ol,
  ul {
    margin-left: 20px;

    li {
      margin-bottom: 10px;
    }
  }

  code {
    font-family: 'Courier New', monospace;
    padding: 2px 4px;
    background-color: #f8f9fa;
    border: 1px solid #e9ecef;
    border-radius: 3px;

    &.red {
      color: #d9534f;
    }
  }

  a {
    color: #337ab7;
    text-decoration: none;

    &:hover {
      text-decoration: underline;
    }
  }
} */

/* Animation */
@keyframes fade {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }
  30% {
    opacity: 1;
    transform: scale(1);
  }
  60% {
    opacity: 0;
    transform: scale(0.8);
  }
  100% {
    opacity: 0;
  }
}
